package extensions.org.w3c.dom.NodeList;

import io.gitlab.jfronny.inceptum.common.dom.NodeListIterator;
import manifold.ext.rt.api.Extension;
import manifold.ext.rt.api.This;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import java.util.Iterator;

@Extension
public abstract class NodeListExt implements Iterable<Node> {
    public static Iterator<Node> iterator(@This NodeList thiz) {
        return new NodeListIterator(thiz);
    }

    public static Node get(@This NodeList thiz, int index) {
        return thiz.item(index);
    }
}
